Method: projects.locations.dataDomains.bindings.list

Lists DataDomainBinding resources under a DataDomain.

HTTP request

GET https://dataplex.googleapis.com/v1/{parent=projects/*/locations/*/dataDomains/*}/bindings

The URL uses gRPC Transcoding syntax.

Path parameters

Parameters
parent

string

Required. The resource name of the parent DataDomain: projects/{project_id_or_number}/locations/{locationId}/dataDomains/{dataDomainId}

Query parameters

Parameters
pageSize

integer

Optional. Maximum number of DataDomainBindings to return. The service may return fewer. If unspecified, at most 50 bindings will be returned. The maximum value is 100; values above 100 will be coerced to 100.

pageToken

string

Optional. Page token received from a previous bindings.list call.

filter

string

Optional. Filter request.

orderBy

string

Optional. Order by fields for the result.

Request body

The request body must be empty.

Response body

List DataDomainBindings response.

If successful, the response body contains data with the following structure:

JSON representation
{
  "dataDomainBindings": [
    {
      object (DataDomainBinding)
    }
  ],
  "nextPageToken": string
}
Fields
dataDomainBindings[]

object (DataDomainBinding)

DataDomainBindings under the given parent.

nextPageToken

string

Token to retrieve the next page of results.

Authorization scopes

Requires one of the following OAuth scopes:

  • https://www.googleapis.com/auth/cloud-platform
  • https://www.googleapis.com/auth/dataplex.read-write

For more information, see the Authentication Overview.

IAM Permissions

Requires the following IAM permission on the parent resource:

  • dataplex.dataDomainBindings.list

For more information, see the IAM documentation.